Index: /extensions/AMenuManager/admin/amm_randompicconfig.tpl
===================================================================
--- /extensions/AMenuManager/admin/amm_randompicconfig.tpl	(revision 8961)
+++ /extensions/AMenuManager/admin/amm_randompicconfig.tpl	(revision 8962)
@@ -1,9 +1,6 @@
-{known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
-{known_script id="jquery.ui.slider" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.slider.packed.js"}
-
 {literal}
 <style>
  .ui-slider {
-    width:350px;
+    width:360px;
     height:10px;
     border-width:1px;
@@ -22,113 +19,55 @@
   }
 </style>
+
 <script type="text/javascript">
+  var rpc;
 
-  //global var ; need to not have to initialize them every time a value is changed
-  var objlang;
-  var objnames = new Array('iamm_randompicture_title');
-  var objinput = new Array();   //input text from form => objinput[name]
-  var objhidden = new Array();  //input hidden from form => objhidden[name][lang]
-
-  function init()
-  {
-    objlang = document.getElementById('islang');
-    for(i=0;i<objnames.length;i++)
+  $(window).load(
+    function ()
     {
-      objinput[i] = document.getElementById(objnames[i]);
-      objhidden[i] = new Array();
-      for(j=0;j<objlang.options.length;j++)
-      {
-        objhidden[i][j] = document.getElementById(objnames[i]+'_'+objlang.options[j].value);
-      }
+      rpc=new randomPictConfig(
+        {},
+        {
+          g002_setting_randompic_periodicchange_deactivated:"{/literal}{'g002_setting_randompic_periodicchange_deactivated'|@translate}{literal}",
+          g002_setting_randompic_height_auto:"{/literal}{'g002_setting_randompic_height_auto'|@translate}{literal}"
+        },
+        '{/literal}{$token}{literal}',
+        {
+          'selectMode':"{/literal}{$datas.config.selectMode}{literal}",
+          'selectCat':{/literal}{$datas.config.selectCat}{literal},
+          'infosName':"{/literal}{$datas.config.infosName}{literal}",
+          'infosComment':"{/literal}{$datas.config.infosComment}{literal}",
+          'freqDelay':"{/literal}{$datas.config.freqDelay}{literal}",
+          'blockHeight':"{/literal}{$datas.config.blockHeight}{literal}",
+          'blockTitles':
+            {
+            {/literal}
+            {foreach from=$datas.config.blockTitles name=items key=langCode item=title}
+              "{$langCode}":"{$title}"{if !$smarty.foreach.items.last},{/if}
+            {/foreach}
+            {literal}
+            },
+          'userLang':'{/literal}{$datas.selectedLang}{literal}',
+          'langs':[
+              {/literal}
+              {foreach from=$datas.config.blockTitles name=items key=langCode item=title}
+                "{$langCode}"{if !$smarty.foreach.items.last},{/if}
+              {/foreach}
+              {literal}
+            ]
+        }
+      );
     }
-
-    formatDelay({/literal}{$datas.periodic_change}{literal});
-    $("#iamm_rp_pc_slider").slider(
-      {
-        min:0,
-        max:60000,
-        steps:120,
-        value:{/literal}{$datas.periodic_change}{literal},
-        slide: function(event, ui) { formatDelay(ui.value); }
-      });
-    $("#iamm_rp_pc_slider a").addClass('gcBgInput');
-
-    formatHeight({/literal}{$datas.height}{literal});
-    $("#iamm_rp_height_slider").slider(
-      {
-        min:99,
-        max:300,
-        steps:201,
-        value:affectHeight({/literal}{$datas.height}{literal}),
-        slide: function(event, ui) { formatHeight(ui.value); }
-      });
-    $("#iamm_rp_height_slider a").addClass('gcBgInput');
-  }
-
-  function formatDelay(delay)
-  {
-    $("#iamm_randompicture_periodicchange").val(delay);
-    if(delay==0)
-    {
-      $("#iamm_rp_pc_display").html("{/literal}{'g002_setting_randompic_periodicchange_deactivated'|@translate}{literal}");
-    }
-    else
-    {
-      $("#iamm_rp_pc_display").html((delay/1000).toFixed(2)+"s");
-    }
-  }
-
-  function formatHeight(height)
-  {
-    (height==99)?vheight=0:vheight=height;
-
-    $("#iamm_randompicture_height").val(vheight);
-    if(vheight==0)
-    {
-      $("#iamm_rp_height_display").html("{/literal}{'g002_setting_randompic_height_auto'|@translate}{literal}");
-    }
-    else
-    {
-      $("#iamm_rp_height_display").html(vheight+"px");
-    }
-  }
-
-  function affectHeight(height)
-  {
-    if(height==0)
-    {return(0);}else{return(height);}
-  }
-
-  function change_lang()
-  {
-    for(i=0;i<objnames.length;i++)
-    {
-      objinput[i].value = objhidden[i][objlang.options.selectedIndex].value;
-    }
-  }
-
-  function apply_changes(input_id)
-  {
-    var obj=document.getElementById(input_id);
-    objhidden[objnames.indexOf(input_id)][objlang.options.selectedIndex].value = obj.value;
-  }
-
-  function do_translation()
-  {
-    var inputid = document.getElementById('iamm_randompicture_title');
-    var tolang = objlang.options[objlang.options.selectedIndex].value.substr(0,2);
-
-    google_translate(inputid.value, '{/literal}{$datas.fromlang}{literal}', tolang, inputid, 'value', apply_changes, inputid.id);
-
-  }
-
+  );
 
 </script>
 {/literal}
 
+<div id='iBDProcessing' style="display:none;position:absolute;left:0;top:0;width:100%;height:100%;background:#000000;opacity:0.75;z-index:800;">
+  <img src="plugins/GrumPluginClasses/icons/processing.gif" style="margin-top:20%;">
+</div>
 
-
-<h3>{'g002_configrandompic'|@translate}</h3>
-
+<div id='iConfigState' style='display:none;'>
+</div>
 
 <form method="post" action="" class="general">
@@ -136,25 +75,24 @@
     <legend>{'g002_setting_block_menu'|@translate}</legend>
 
-    {if isset($datas.language_list) and count($datas.language_list)}
-      {foreach from=$datas.language_list key=name item=language_row}
-        <input type="hidden" name="famm_randompicture_title_{$language_row.LANG}"
-                id="iamm_randompicture_title_{$language_row.LANG}" value="{$language_row.MENUBARTIT}">
-      {/foreach}
-    {/if}
-
     <table class="formtable">
       <tr>
         <td>{'g002_setting_block_title'|@translate}</td>
         <td colspan="2">
-          <input type="text" id="iamm_randompicture_title" value="" maxlength="50" onkeyup="apply_changes('iamm_randompicture_title');" onblur="apply_changes('iamm_randompicture_title');"/>
-          <select onchange="change_lang();" id="islang">
-            {html_options values=$datas.language_list_values output=$datas.language_list_labels selected=$datas.lang_selected}
-          </select><br>
+          <div id="iamm_randompicture_title"></div>
+
+          <div id="islang">
+            [
+            {foreach from=$datas.langs key=langCode item=langLabel name=items}
+              {ldelim}"value":"{$langCode}","cols":["{$langLabel}"]{rdelim}{if !$smarty.foreach.items.last},{/if}
+            {/foreach}
+            ]
+          </div>
         </td>
       </tr>
+
       <tr>
         <td></td>
         <td style="font-size:80%;" colspan="2">
-          <a style="cursor:pointer;" onclick="do_translation()">{'g002_translate'|@translate}</a>
+          <a style="cursor:pointer;" onclick="$('#iamm_randompicture_title').inputText('doTranslation');">{'g002_translate'|@translate}</a>
         </td>
       </tr>
@@ -163,5 +101,4 @@
         <td>{'g002_setting_randompic_height'|@translate}</td>
         <td>
-          <input type="hidden" name="famm_randompicture_height" id="iamm_randompicture_height" value="{$datas.height}">
           <div id="iamm_rp_height_slider" class="gcBgInput gcBorderInput"></div>
         </td>
@@ -178,11 +115,15 @@
   <fieldset>
     <legend>{'g002_setting_randompic_aboutpicture'|@translate}</legend>
-      <table class="formclass">
+      <table class="formtable">
         <tr>
           <td>{'g002_setting_randompic_showname'|@translate}</td>
           <td>
-            <select name="famm_randompicture_showname" id="iamm_randompicture_showname">
-              {html_options values=$datas.show_values output=$datas.show_labels selected=$datas.showname_selected}
-            </select>
+            <div id="iamm_randompicture_showname">
+              [
+                {ldelim}"value":"n","cols":["{'g002_show_n'|@translate}"]{rdelim},
+                {ldelim}"value":"o","cols":["{'g002_show_o'|@translate}"]{rdelim},
+                {ldelim}"value":"u","cols":["{'g002_show_u'|@translate}"]{rdelim}
+              ]
+            </div>
           </td>
         </tr>
@@ -191,7 +132,11 @@
           <td>{'g002_setting_randompic_showcomment'|@translate}</td>
           <td>
-            <select name="famm_randompicture_showcomment" id="iamm_randompicture_showcomment">
-              {html_options values=$datas.show_values output=$datas.show_labels selected=$datas.showcomment_selected}
-            </select>
+            <div id="iamm_randompicture_showcomment">
+              [
+                {ldelim}"value":"n","cols":["{'g002_show_n'|@translate}"]{rdelim},
+                {ldelim}"value":"o","cols":["{'g002_show_o'|@translate}"]{rdelim},
+                {ldelim}"value":"u","cols":["{'g002_show_u'|@translate}"]{rdelim}
+              ]
+            </div>
           </td>
         </tr>
@@ -203,9 +148,8 @@
   <fieldset>
     <legend>{'g002_setting_randompic_periodicchange'|@translate}</legend>
-      <table class="formclass">
+      <table class="formtable">
         <tr>
           <td>{'g002_setting_randompic_periodicchange_delay'|@translate}</td>
           <td>
-            <input type="hidden" name="famm_randompicture_periodicchange" id="iamm_randompicture_periodicchange" value="{$datas.periodic_change}">
             <div id="iamm_rp_pc_slider" class="gcBgInput gcBorderInput"></div>
           </td>
@@ -214,19 +158,28 @@
           </td>
         </tr>
+      </table>
+  </fieldset>
 
 
+  <fieldset>
+    <legend>{'g002_selectedpict'|@translate}</legend>
+      <table class="formtable">
+        <tr>
+          <td>
+            <div id='iamm_randompicture_selectedMode'>
+              <label><input type="radio" value="a">&nbsp;{'g002_selected_all_gallery'|@translate}<br></label>
+              <label><input type="radio" value="f">&nbsp;{'g002_selected_favorites_wm'|@translate}<br></label>
+              <label><input type="radio" value="c">&nbsp;{'g002_selected_categories'|@translate}<br></label>
+                <div id='iamm_randompicture_selectedCat'></div>
+            </div>
+          </td>
+        </tr>
       </table>
   </fieldset>
 
   <p>
-    <input type="submit" name="famm_submit_apply" id="iamm_submit_apply" value="{'g002_apply'|@translate}" >
+    <input type="button" id="iamm_submit_apply" value="{'g002_apply'|@translate}" onclick="rpc.submit();">
   </p>
 
-  <input type="hidden" name="famm_modeedit" value="config">
 
 </form>
-
-<script type="text/javascript">
-  init();
-  change_lang();
-</script>
Index: /extensions/AMenuManager/admin/plugin_admin.php
===================================================================
--- /extensions/AMenuManager/admin/plugin_admin.php	(revision 8961)
+++ /extensions/AMenuManager/admin/plugin_admin.php	(revision 8962)
@@ -3,5 +3,5 @@
   Plugin     : Advanced Menu Manager
   Author     : Grum
-    email    : grum@grum.dnsalias.com
+    email    : grum@piwigo.org
     website  : http://photos.grum.dnsalias.com
     PWG user : http://forum.phpwebgallery.net/profile.php?id=3706
Index: /extensions/AMenuManager/amm_aim.class.inc.php
===================================================================
--- /extensions/AMenuManager/amm_aim.class.inc.php	(revision 8961)
+++ /extensions/AMenuManager/amm_aim.class.inc.php	(revision 8962)
@@ -3,5 +3,5 @@
   Plugin     : Advanced Menu Manager
   Author     : Grum
-    email    : grum@grum.dnsalias.com
+    email    : grum@piwigo.org
     website  : http://photos.grum.dnsalias.com
     PWG user : http://forum.phpwebgallery.net/profile.php?id=3706
@@ -33,4 +33,12 @@
     parent::initEvents();
     add_event_handler('get_admin_plugin_menu_links', array(&$this, 'pluginAdminMenu') );
+    add_event_handler('loc_end_page_header', array(&$this, 'adminPanel'));
+  }
+
+  public function adminPanel()
+  {
+    global $template;
+
+    $template->append('footer_elements', "<script>$(document).ready(function () { $('li a[href=".$template->get_template_vars('U_CONFIG_MENUBAR')."]').attr('href', '".$this->getAdminLink()."&amp;fAMM_tabsheet=setmenu&amp;fAMM_page=position'); });</script>");
   }
 
Index: /extensions/AMenuManager/amm_aip.class.inc.php
===================================================================
--- /extensions/AMenuManager/amm_aip.class.inc.php	(revision 8961)
+++ /extensions/AMenuManager/amm_aip.class.inc.php	(revision 8962)
@@ -3,5 +3,5 @@
   Plugin     : Advanced Menu Manager
   Author     : Grum
-    email    : grum@grum.dnsalias.com
+    email    : grum@piwigo.org
     website  : http://photos.grum.fr
     PWG user : http://forum.phpwebgallery.net/profile.php?id=3706
@@ -19,17 +19,15 @@
 include_once(PHPWG_ROOT_PATH.'include/block.class.php');
 include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
-include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/GPCAjax.class.inc.php');
-include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/genericjs.class.inc.php');
-include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/GPCTranslate.class.inc.php');
+include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/GPCTabSheet.class.inc.php');
+
 
 class AMM_AIP extends AMM_root
 {
-  protected $google_translate;
+  protected $googleTranslate;
   protected $tabsheet;
-  protected $sectionsId=array('menu' => 'Menu', 'special' => 'Specials');
-
-  protected $urls_modes=array(0 => 'new_window', 1 => 'current_window');
-
-  function AMM_AIP($prefixeTable, $filelocation)
+  protected $blocksId=array('menu' => 'Menu', 'special' => 'Specials');
+
+
+  public function __construct($prefixeTable, $filelocation)
   {
     parent::__construct($prefixeTable, $filelocation);
@@ -51,16 +49,14 @@
                           l10n('g002_personnalblock'),
                           $this->getAdminLink().'&amp;fAMM_tabsheet=personnalblock');
+    $this->tabsheet->add('album',
+                          l10n('g002_album'),
+                          $this->getAdminLink().'&amp;fAMM_tabsheet=album');
     $this->css = new GPCCss(dirname($this->getFileLocation()).'/'.$this->getPluginNameFiles().".css");
-    $this->google_translate = new GPCTranslate();
-  }
-
-
-  /* ---------------------------------------------------------------------------
-  Public classe functions
-  --------------------------------------------------------------------------- */
-
-  /*
-    manage plugin integration into piwigo's admin interface
-  */
+  }
+
+
+  /**
+   * manage plugin integration into piwigo's admin interface
+   */
   public function manage()
   {
@@ -69,7 +65,5 @@
     $template->set_filename('plugin_admin_content', dirname(__FILE__)."/admin/amm_admin.tpl");
 
-    $this->return_ajax_content();
-
-    $this->init_request();
+    $this->initRequest();
 
     $this->tabsheet->select($_REQUEST['fAMM_tabsheet']);
